<?xml version="1.0" encoding="utf-8"?>
<androidx.coordinatorlayout.widget.CoordinatorLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/colorWhite"
    tools:context=".activities.WebView">

    <!-- Header -->
    <com.google.android.material.appbar.AppBarLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@android:color/transparent"
        android:theme="@style/Theme.MaterialComponents.Light.DarkActionBar"
        app:elevation="0dp">

        <LinearLayout
            android:id="@+id/header"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:gravity="center"
            android:orientation="horizontal"
            android:paddingTop="@dimen/sdp_5"
            android:paddingBottom="@dimen/sdp_5">

            <!--Back-->
            <LinearLayout
                android:id="@+id/back"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="@dimen/sdp_15"
                android:layout_marginTop="@dimen/sdp_5"
                android:layout_marginEnd="@dimen/sdp_10"
                android:layout_marginBottom="@dimen/sdp_5"
                android:gravity="center"
                android:orientation="horizontal">

                <ImageView
                    android:layout_width="@dimen/sdp_20"
                    android:layout_height="@dimen/sdp_20"
                    android:layout_gravity="center"
                    android:padding="@dimen/sdp_2"
                    android:contentDescription="@string/app_name"
                    app:srcCompat="@drawable/back" />

                <TextView
                    fontPath="fonts/dejaVuSans-Bold.ttf"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:layout_marginStart="@dimen/sdp_5"
                    android:layout_marginEnd="@dimen/sdp_5"
                    android:text="@string/back"
                    android:textAlignment="center"
                    android:textAllCaps="false"
                    android:textColor="@color/colorAccent"
                    android:textIsSelectable="false"
                    android:textSize="@dimen/text_small"
                    tools:ignore="MissingPrefix" />
            </LinearLayout>

            <!--Logo-->
            <ImageView
                android:layout_width="0dp"
                android:layout_height="@dimen/sdp_30"
                android:layout_marginStart="@dimen/sdp_10"
                android:layout_marginEnd="@dimen/sdp_10"
                android:layout_weight="1"
                android:contentDescription="@string/app_name"
                android:src="@drawable/logo"/>

            <!--Notification-->
            <LinearLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="@dimen/sdp_10"
                android:layout_marginTop="@dimen/sdp_5"
                android:layout_marginEnd="@dimen/sdp_15"
                android:layout_marginBottom="@dimen/sdp_5"
                android:gravity="center"
                android:orientation="horizontal">

                <ImageView
                    android:layout_width="@dimen/sdp_20"
                    android:layout_height="@dimen/sdp_20"
                    android:layout_marginStart="@dimen/sdp_10"
                    android:layout_marginEnd="@dimen/sdp_10"
                    android:contentDescription="@string/app_name" />

                <ImageView
                    android:layout_width="@dimen/sdp_20"
                    android:layout_height="@dimen/sdp_20"
                    android:contentDescription="@string/app_name" />

            </LinearLayout>

        </LinearLayout>

        <View
            android:layout_width="match_parent"
            android:layout_height="2dp"
            android:background="@color/colorAccent" />

    </com.google.android.material.appbar.AppBarLayout>

        <!-- Recycler -->
        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/listing"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:nestedScrollingEnabled="false"
            android:layout_marginTop="@dimen/sdp_5"
            android:layout_marginBottom="@dimen/sdp_5"
            android:overScrollMode="never"
            android:scrollbars="none"
            android:visibility="visible"
            app:layout_behavior="@string/appbar_scrolling_view_behavior"/>

    <!-- No Data Found-->
    <TextView
        android:id="@+id/no_data_found"
        fontPath="fonts/gothic-Bold.ttf"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_centerInParent="true"
        android:layout_gravity="center"
        android:gravity="center"
        android:text="@string/no_notifications_found"
        android:textAlignment="gravity"
        android:textAllCaps="false"
        android:textColor="@color/colorBlack"
        android:textIsSelectable="false"
        android:textSize="@dimen/text_normal"
        android:visibility="visible"
        tools:ignore="MissingPrefix" />

    <!-- Loader -->
    <androidx.core.widget.ContentLoadingProgressBar
        android:id="@+id/loader"
        style="?android:attr/progressBarStyleLarge"
        android:layout_width="@dimen/sdp_30"
        android:layout_height="@dimen/sdp_30"
        android:layout_centerInParent="true"
        android:layout_gravity="center" />

</androidx.coordinatorlayout.widget.CoordinatorLayout>